org.red5.server.stream.codec

## Enum AudioCodec

- java.lang.Object
- - java.lang.Enum<AudioCodec>
  - - org.red5.server.stream.codec.AudioCodec

All Implemented Interfaces:
  Serializable, Comparable<AudioCodec>

    public enum AudioCodec
    extends Enum<AudioCodec>

Audio codecs that Red5 supports.

Author:
  Art Clarke, Paul Gregoire (mondain@gmail.com)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AAC`
`ADPCM`
`DEVICE_SPECIFIC`
`MP3`
`MP3_8K`
`NELLY_MOSER`
`NELLY_MOSER_16K`
`NELLY_MOSER_8K`
`PCM`
`PCM_ALAW`
`PCM_LE`
`PCM_MULAW`
`RESERVED`
`SPEEX`

### Method Summary

Methods
`byte` `getId()` Returns back a numeric id for this codec, that happens to correspond to the numeric identifier that FLV will use for this codec.
`static AudioCodec` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AudioCodec[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PCM

    public static final AudioCodec PCM

#### ADPCM

    public static final AudioCodec ADPCM

#### MP3

    public static final AudioCodec MP3

#### PCM_LE

    public static final AudioCodec PCM_LE

#### NELLY_MOSER_16K

    public static final AudioCodec NELLY_MOSER_16K

#### NELLY_MOSER_8K

    public static final AudioCodec NELLY_MOSER_8K

#### NELLY_MOSER

    public static final AudioCodec NELLY_MOSER

#### PCM_ALAW

    public static final AudioCodec PCM_ALAW

#### PCM_MULAW

    public static final AudioCodec PCM_MULAW

#### RESERVED

    public static final AudioCodec RESERVED

#### AAC

    public static final AudioCodec AAC

#### SPEEX

    public static final AudioCodec SPEEX

#### MP3_8K

    public static final AudioCodec MP3_8K

#### DEVICE_SPECIFIC

    public static final AudioCodec DEVICE_SPECIFIC

### Method Detail

#### values

    public static AudioCodec[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AudioCodec c : AudioCodec.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AudioCodec valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getId

    public byte getId()

Returns back a numeric id for this codec, that happens to correspond to the numeric identifier that FLV will use for this codec.

Returns:
  the codec id